Subject: [I2nsf] WG next steps

From: Roman Danyliw <[email-masked]>
Date: Tue, 1 Nov 2022 20:50:22 +0000

Hi I2NSF WG!

I see that rechartering is again on the agenda for the upcoming 115 IETF meeting.  I'd like to repeat what I said at IETF 114 and in March 2022 [1], October 2021 [2], and November 2020 [3] on this topic.  To re-charter, there would need to be a compelling demonstration of engagement to produce and review the specifications; and at the time, the WG was not and is not demonstrating this energy.  To help focus the WG, I deferred all rechartering plans until all five YANG modules were through the IESG process.

Central to this guidance on rechartering was my commitment to the WG to allow it to finish the in-flight deliverables originally plan.  I provided this support despite the WG being substantially behind schedule, and the charter calling for its closure in February 2019 due to lack of progress [4].

In addition to timing, my paramount concern was the degree of review the document are receiving when publication is requested.  The three I2NSF interface YANG documents declared ready by the WG saw a serial pattern of significant revisions based on AD Review, IETF LC, and IESG Review [5] [6] [7], and little discussion around these changes, strongly suggesting the WG did not have sufficient engagement on these documents prior to publication and during the process.

Due to the efforts of the editorial teams lead by Paul (thank you!), the last two I2NSF interface YANG documents are in AD review.  To remedy the situation seen in earlier document noted above, I asked the WG chairs to especially press for a robust WG Last Call to ensure the document are reviewed and are in fact work products of the WG.  However, AD reviews [8] [9] surfaced a number of issues suggesting that the trajectory of these document would follow the earlier ones.  This development again questioned the existence of the prerequisite WG engagement needed to recharter.

In close, I look forward to our conversations about next steps at IETF 115.  With the information I have now, I applaud the WG on its success in submitting 9 documents for publication and completing the chartered scope of work; and the WG should close when the last two documents go to the RFC Editor.  

Regards,
Roman

[1] https://mailarchive.ietf.org/arch/msg/i2nsf/FylRB-vjp-r59emz3PDCKAMiBhs/
[2] https://mailarchive.ietf.org/arch/msg/i2nsf/GAqtySDhTlhgPGMh_MdaajApUDs/
[3] https://mailarchive.ietf.org/arch/msg/i2nsf/FBzpXwPUaY5PkcgvKpWnHAAanp4/
[4] https://datatracker.ietf.org/wg/i2nsf/about/
[5] https://www.ietf.org/rfcdiff?url1=draft-ietf-i2nsf-nsf-monitoring-data-model-08&url2=draft-ietf-i2nsf-nsf-monitoring-data-model-20&difftype=--html
[6] https://www.ietf.org/rfcdiff?url1=draft-ietf-i2nsf-capability-data-model-05&url2=draft-ietf-i2nsf-capability-data-model-32&difftype=--html
[7] https://www.ietf.org/rfcdiff?url1=draft-ietf-i2nsf-nsf-facing-interface-dm-10&url2=draft-ietf-i2nsf-nsf-facing-interface-dm-29&difftype=--html
[8] https://mailarchive.ietf.org/arch/msg/i2nsf/VHbdIrvHo5EjvcyQf5v9fjeVy1w/
[9] https://mailarchive.ietf.org/arch/msg/i2nsf/82QQzd1J6A8xqlyv5ZBRn4_xZCs/